> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/payment/api-payment-payout-period-affiliates.md).

# /api/payment/payout‑period‑affiliates

## PATCH /api/payment/payout-period-affiliates

> Enable/disable payout period for affiliates

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/payment/payout-period-affiliates"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"patch_payment_payout-period-affiliates":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["payout_period_id","loginid","enable"]}}},"paths":{"/api/payment/payout-period-affiliates":{"patch":{"description":"Enable/disable payout period for affiliates","tags":["/api/payment/payout-period-affiliates"],"parameters":[{"name":"payout_period_id","in":"query","schema":{"type":"integer"},"required":true},{"name":"loginid","in":"query","schema":{"type":"string"},"required":true},{"name":"enable","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/patch_payment_payout-period-affiliates"}},"application/json":{"schema":{"$ref":"#/components/schemas/patch_payment_payout-period-affiliates"}},"application/xml":{"schema":{"$ref":"#/components/schemas/patch_payment_payout-period-affiliates"}}}}}}}}}
```
